Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class LineModel

    java.lang.Object
      com.eltima.chart.LineModel

All Implemented Interfaces:
  java.io.Serializable

public class LineModel
extends java.lang.Object
implements java.io.Serializable

The LineModel class.

Copyright: Copyright (c) 2000-2005

Company: Eltima Software

Version:
  4.0
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`(package private) float[][]` | `dash`
`(package private) int` | `dashType`
`(package private) GradientModel` | `gradient`
`(package private) float` | `width`

Constructor Summary
`LineModel()` Creates new instance of LineModel.
`LineModel(float width, int dashType)` Creates new instance of LineModel with specified line width and dash type.

Method Summary
`int` | `getDashType()` Returns the dash type.
`GradientModel` | `getGradientModel()` Returns the GradientModel.
`java.awt.Stroke` | `getStroke()` Returns the Stroke.
`float` | `getWidth()` Returns the line width.
`void` | `setDashType(int type)` Sets the dashg type.
`void` | `setGradientModel(GradientModel model)` Sets the GradientModel.
`void` | `setWidth(float width)` Sets the line width.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gradient

    GradientModel gradient

### width

    float width

### dashType

    int dashType

### dash

    float[][] dash

Constructor Detail

### LineModel

    public LineModel()

  Creates new instance of LineModel.

### LineModel

    public LineModel(float width,
                     int dashType)

  Creates new instance of LineModel with specified line width and dash type.

Parameters:
  `width` - float
  `dashType` - int

Method Detail

### getStroke

    public java.awt.Stroke getStroke()

  Returns the Stroke.

  Returns:
    Stroke

### getWidth

    public float getWidth()

  Returns the line width.

  Returns:
    float

### setWidth

    public void setWidth(float width)

  Sets the line width.

  Parameters:
    `width` - float

### getDashType

    public int getDashType()

  Returns the dash type.

  Returns:
    int

### setDashType

    public void setDashType(int type)

  Sets the dashg type.

  Parameters:
    `type` - int

### getGradientModel

    public GradientModel getGradientModel()

  Returns the GradientModel.

  Returns:
    GradientModel

### setGradientModel

    public void setGradientModel(GradientModel model)

  Sets the GradientModel.

  Parameters:
    `model` - GradientModel

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD